# Uses of Class
jdk.jfr.EventSettings

Packages that use EventSettings
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of EventSettings in jdk.jfr

Methods in jdk.jfr that return EventSettings
Modifier and Type
Method
Description
`EventSettings`
Recording.`disable​(Class<? extends Event> eventClass)`
Disables event.
`EventSettings`
Recording.`disable​(String name)`
Disables event with the specified name.
`EventSettings`
Recording.`enable​(Class<? extends Event> eventClass)`
Enables event.
`EventSettings`
Recording.`enable​(String name)`
Enables the event with the specified name.
`abstract EventSettings`
EventSettings.`with​(String name, String value)`
Sets a setting value for the event that is associated with this event setting.
`EventSettings`
EventSettings.`withoutStackTrace()`
Disables stack traces for the event that is associated with this event setting.
`EventSettings`
EventSettings.`withoutThreshold()`
Specifies that a threshold is not used.
`EventSettings`
EventSettings.`withPeriod​(Duration duration)`
Sets the interval for the event that is associated with this event setting.
`EventSettings`
EventSettings.`withStackTrace()`
Enables stack traces for the event that is associated with this event setting.
`EventSettings`
EventSettings.`withThreshold​(Duration duration)`
Sets the threshold for the event that is associated with this event setting.

## Uses of EventSettings in jdk.jfr.consumer

Methods in jdk.jfr.consumer that return EventSettings
Modifier and Type
Method
Description
`EventSettings`
RecordingStream.`disable​(Class<? extends Event> eventClass)`
Disables event.
`EventSettings`
RecordingStream.`disable​(String name)`
Disables event with the specified name.
`EventSettings`
RecordingStream.`enable​(Class<? extends Event> eventClass)`
Enables event.
`EventSettings`
RecordingStream.`enable​(String name)`
Enables the event with the specified name.

## Uses of EventSettings in jdk.management.jfr

Methods in jdk.management.jfr that return EventSettings
Modifier and Type
Method
Description
`EventSettings`
RemoteRecordingStream.`disable​(String name)`
Disables event with the specified name.
`EventSettings`
RemoteRecordingStream.`enable​(String name)`
Enables the event with the specified name.